org.springframework.batch.item.ldif.builder

## Class MappingLdifReaderBuilder<T>

- java.lang.Object
- - org.springframework.batch.item.ldif.builder.MappingLdifReaderBuilder<T>

-     public class MappingLdifReaderBuilder<T>
      extends java.lang.Object

  Creates a fully qualified MappingLdifReader.
  Since:
    4.0
  Author:
    Glenn Renfro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappingLdifReaderBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MappingLdifReader<T>` | `build()` Returns a fully constructed `MappingLdifReader`.
    `MappingLdifReaderBuilder<T>` | `currentItemCount(int currentItemCount)` Index for the current item.
    `MappingLdifReaderBuilder<T>` | `maxItemCount(int maxItemCount)` Configure the max number of items to be read.
    `MappingLdifReaderBuilder<T>` | `name(java.lang.String name)` The name used to calculate the key within the `ExecutionContext`.
    `MappingLdifReaderBuilder<T>` | `recordMapper(RecordMapper<T> recordMapper)` Setter for object mapper.
    `MappingLdifReaderBuilder<T>` | `recordsToSkip(int recordsToSkip)` Public setter for the number of lines to skip at the start of a file.
    `MappingLdifReaderBuilder<T>` | `resource(org.springframework.core.io.Resource resource)` Establishes the resource that will be used as the input for the MappingLdifReader.
    `MappingLdifReaderBuilder<T>` | `saveState(boolean saveState)` Configure if the state of the `ItemStreamSupport` should be persisted within the `ExecutionContext` for restart purposes.
    `MappingLdifReaderBuilder<T>` | `skippedRecordsCallback(RecordCallbackHandler skippedRecordsCallback)` `RecordCallbackHandler` implementations can be used to take action on skipped records.
    `MappingLdifReaderBuilder<T>` | `strict(boolean strict)` In strict mode the reader will throw an exception on `AbstractItemCountingItemStreamItemReader.open(org.springframework.batch.item.ExecutionContext)` if the input resource does not exist.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MappingLdifReaderBuilder

          public MappingLdifReaderBuilder()

  - ### Method Detail

    - #### saveState

          public MappingLdifReaderBuilder<T> saveState(boolean saveState)

      Configure if the state of the `ItemStreamSupport` should be persisted within the `ExecutionContext` for restart purposes.
      Parameters:
        `saveState` - defaults to true
      Returns:
        The current instance of the builder.

    - #### name

          public MappingLdifReaderBuilder<T> name(java.lang.String name)

      The name used to calculate the key within the `ExecutionContext`. Required if `saveState(boolean)` is set to true.
      Parameters:
        `name` - name of the reader instance
      Returns:
        The current instance of the builder.
      See Also:
        `ItemStreamSupport.setName(String)`

    - #### maxItemCount

          public MappingLdifReaderBuilder<T> maxItemCount(int maxItemCount)

      Configure the max number of items to be read.
      Parameters:
        `maxItemCount` - the max items to be read
      Returns:
        The current instance of the builder.
      See Also:
        `AbstractItemCountingItemStreamItemReader.setMaxItemCount(int)`

    - #### currentItemCount

          public MappingLdifReaderBuilder<T> currentItemCount(int currentItemCount)

      Index for the current item. Used on restarts to indicate where to start from.
      Parameters:
        `currentItemCount` - current index
      Returns:
        this instance for method chaining
      See Also:
        `AbstractItemCountingItemStreamItemReader.setCurrentItemCount(int)`

    - #### strict

          public MappingLdifReaderBuilder<T> strict(boolean strict)

      In strict mode the reader will throw an exception on `AbstractItemCountingItemStreamItemReader.open(org.springframework.batch.item.ExecutionContext)` if the input resource does not exist.
      Parameters:
        `strict` - true by default
      Returns:
        this instance for method chaining.
      See Also:
        `MappingLdifReader.setStrict(boolean)`

    - #### skippedRecordsCallback

          public MappingLdifReaderBuilder<T> skippedRecordsCallback(RecordCallbackHandler skippedRecordsCallback)

      `RecordCallbackHandler` implementations can be used to take action on skipped records.
      Parameters:
        `skippedRecordsCallback` - will be called for each one of the initial skipped lines before any items are read.
      Returns:
        this instance for method chaining.
      See Also:
        `MappingLdifReader.setSkippedRecordsCallback(RecordCallbackHandler)`

    - #### recordsToSkip

          public MappingLdifReaderBuilder<T> recordsToSkip(int recordsToSkip)

      Public setter for the number of lines to skip at the start of a file. Can be used if the file contains a header without useful (column name) information, and without a comment delimiter at the beginning of the lines.
      Parameters:
        `recordsToSkip` - the number of lines to skip
      Returns:
        this instance for method chaining.
      See Also:
        `MappingLdifReader.setRecordsToSkip(int)`

    - #### resource

          public MappingLdifReaderBuilder<T> resource(org.springframework.core.io.Resource resource)

      Establishes the resource that will be used as the input for the MappingLdifReader.
      Parameters:
        `resource` - the resource that will be read.
      Returns:
        this instance for method chaining.
      See Also:
        `MappingLdifReader.setResource(Resource)`

    - #### recordMapper

          public MappingLdifReaderBuilder<T> recordMapper(RecordMapper<T> recordMapper)

      Setter for object mapper. This property is required to be set.
      Parameters:
        `recordMapper` - maps record to an object
      Returns:
        this instance for method chaining.

    - #### build

          public MappingLdifReader<T> build()

      Returns a fully constructed `MappingLdifReader`.
      Returns:
        a new `MappingLdifReader`